package model

import (
	"encoding/json"
	"github.com/hyperledger/fabric/core/chaincode/shim"
	"github.com/hyperledger/fabric/protos/peer"
)

func (obj *FieldConstraintsList) Marshal() peer.Response {
	bytes, e := json.Marshal(obj)
	if e != nil {
		return shim.Error(e.Error())
	}

	return shim.Success(bytes)
}

func (obj *EnabledCryptoCurrencyList) Marshal() peer.Response {
	bytes, e := json.Marshal(obj)
	if e != nil {
		return shim.Error(e.Error())
	}

	return shim.Success(bytes)
}

func (obj *CryptoCurrencyConstraintsList) Marshal() peer.Response {
	bytes, e := json.Marshal(obj)
	if e != nil {
		return shim.Error(e.Error())
	}

	return shim.Success(bytes)
}
