package model

type FieldConstraint struct {
	Field   string `json:"field"`
	Pattern string `json:"pattern"`
}

type FieldConstraintsList struct {
	Constraints []FieldConstraint `json:"constraints"`
}

type CryptoCurrencyFlag struct {
	CurrencyType string `json:"currency_type"`
	Enabled      bool   `json:"enabled"`
}

type EnabledCryptoCurrencyList struct {
	Flags []CryptoCurrencyFlag `json:"flags"`
}

type CryptoCurrencyConstraint struct {
	CurrencyType string `json:"currency_type"`
	MinValue     string `json:"min_value"`
	MaxValue     string `json:"max_value"`
	Scale        uint   `json:"scale"`
}

type CryptoCurrencyConstraintsList struct {
	Constraints []CryptoCurrencyConstraint `json:"constraints"`
}
